
#include <stdio.h>
#include <omp.h>

#define N 31

int main(int argc, char** argv) {
  int a[N], i, x, tid;
  
  #pragma omp parallel private(a) num_threads(N)
  {
     tid = omp_get_thread_num();
     x = 1;
     for (int j = 0; j < tid; j++) x *= 2; 
     a[tid] = x;
  }

  for (i = 0; i < N; i ++) {
    if (a[i] != (1 << i)) 
      printf("Unexpected value: a[%d] = %d != %d\n", i, a[i], 1 << i);
  }
  return 0;
}
