#ifndef __bstack_h__
#define __bstack_h__

typedef struct _node_t
{
  void *item;
  struct _node_t* next;
} node_t;

typedef struct {
  node_t *top; 
  unsigned size;
  // TODO
} bstack_t;


void bstack_init(bstack_t* s);

int bstack_size(bstack_t* s);

void bstack_add(bstack_t* s, void* item);

void* bstack_remove(bstack_t* s);

void bstack_destroy(bstack_t* s);

#endif
